html {
  font-family: "Fredoka", sans-serif;
}

body {
  margin: 0;
}

.image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

.header {
  background-color: black;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 10px 0px;
}

.header__logo {
  width: 35px;
  height: 35px;
  margin: 0px 15px;
}

.headder__title {
  margin: 0;
  font-size: 25px;
  color: white;
  margin: 0;
}

.main {
  display: flex;
  flex-direction: column;
  align-content: center;
  padding: 20px 20px;
  background-color: #666666;
}

.main__pokemon {
  display: flex;
  flex-direction: column;
}

.pokemon__title {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  background-color: white;
  margin-bottom: 10px;
  padding: 5px 0px;
}

.pokemon__skill {
  width: 25px;
  height: 25px;
  margin: 0;
}

.pokemon__name {
  margin: 0;
  font-size: 20px;
  padding: 0px 5px;
}

.pokemon__image {
  width: 100%;
  margin: 0;
  z-index: 1;
}

.main__info {
  display: flex;
  flex-direction: column;
  border-radius: 8px;
  background-color: white;
  padding: 50px 45px;
  margin-top: -50px;
}

.property {
  display: flex;
  flex-direction: row;
  width: 100%;
  margin: 10px 0px;
}

.property__label {
  display: flex;
  width: 50%;
}

.property__p {
  display: flex;
  width: 50%;
  margin: 0;
}

.footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 30px;
}

.footer__title {
  font-size: 20px;
  margin: 20px 20px;
}

.footer__pokemons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.footer__button {
  display: flex;
  width: 100px;
  height: 100px;
  margin: 10px 15px;
  border-radius: 8px;
  border: none;
  cursor: pointer;
}

.footer__button:hover {
  border-width: 2px;
  border-style: solid;
  border-color: #4c1929;
}

@media only screen and (min-width: 480px) {
  .header {
    justify-content: start;
  }

  .main {
    flex-direction: row;
    justify-content: center;
  }

  .main__pokemon {
    width: 50%;
    padding: 0px 15px;
  }

  .main__info {
    width: 50%;
    margin-top: 0;
    padding: 20px 35px;
  }
}

@media only screen and (min-width: 768px) {
  .main__pokemon {
    width: 336px;
    height: 346px;
  }

  .pokemon__title {
    padding: 10px 0px;
  }

  .pokemon__name {
    height: 30px;
  }

  .pokemon__name {
    font-size: 25px;
  }

  .main__info {
    flex-wrap: wrap;
    flex-direction: row;
    width: 376px;
    height: 346px;
    padding: 20px 15px;
  }

  .property {
    flex-direction: column;
    justify-content: center;
    width: 50%;
    margin: 10px 0px;
  }

  .property__label {
    width: 100%;
    justify-content: center;
  }

  .property__p {
    justify-content: center;
    width: 100%;
    font-size: 25px;
    margin: 0;
  }

  .footer {
    flex-direction: row;
    justify-content: center;
    margin-top: 30px;
  }

  .footer__title {
    margin: 20px 25px;
  }

  .footer__button {
    margin: 10px 30px;
  }
}
